## r-cran-ggthemes 4.2.0

=== DESCRIPTION ===
Package: ggthemes
Version: 4.2.0
Title: Extra Themes, Scales and Geoms for 'ggplot2'
Authors@R: c(person("Jeffrey B.", "Arnold", role = c("aut", "cre"),
    email = "jeffrey.arnold@gmail.com", 
    comment = "<https://orcid.org/0000-0001-9953-3904>"),
    person("Gergely", "Daroczi", role = "ctb"),
    person("Bo", "Werth", role = "ctb"),
    person("Brian", "Weitzner", role = "ctb"),
    person("Joshua", "Kunst", role = "ctb"),
    person("Baptise", "Auguie", role = "ctb"),
    person("Bob", "Rudis", role = "ctb"),
    person("Hadley", "Wickham", role = c("ctb"),
    comment = "Code from the ggplot2 package."),
    person("Justin",  "Talbot", role = "ctb",
    comment = "Code from the labeling package"),
    person("Joshua", "London", role = "ctb"))
Depends: R (>= 3.3.0)
Imports: ggplot2 (>= 3.0.0), graphics, grid, methods, purrr, scales,
        stringr, tibble
Suggests: dplyr, covr, extrafont, glue, knitr, lattice, lintr, maps,
        mapproj, pander, rlang, rmarkdown, spelling, testthat, tidyr,
        vdiffr, withr
Description: Some extra themes, geoms, and scales for 'ggplot2'.
    Provides 'ggplot2' themes and scales that replicate the look of plots
    by Edward Tufte, Stephen Few, 'Fivethirtyeight', 'The Economist', 'Stata',
    'Excel', and 'The Wall Street Journal', among others.
    Provides 'geoms' for Tufte's box plot and range frame.
License: GPL-2
URL: http://github.com/jrnold/ggthemes
BugReports: http://github.com/jrnold/ggthemes
RoxygenNote: 6.1.1
LazyData: true
Language: en-US
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-05-13 03:31:26 UTC; jrnold
Author: Jeffrey B. Arnold [aut, cre] (<https://orcid.org/0000-0001-9953-3904>),
  Gergely Daroczi [ctb],
  Bo Werth [ctb],
  Brian Weitzner [ctb],
  Joshua Kunst [ctb],
  Baptise Auguie [ctb],
  Bob Rudis [ctb],
  Hadley Wickham [ctb] (Code from the ggplot2 package.),
  Justin Talbot [ctb] (Code from the labeling package),
  Joshua London [ctb]
Maintainer: Jeffrey B. Arnold <jeffrey.arnold@gmail.com>
Repository: CRAN
Date/Publication: 2019-05-13 09:10:03 UTC

=== debian/changelog ===
r-cran-ggthemes (4.2.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 05 Aug 2020 08:12:47 +0200

r-cran-ggthemes (4.2.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 20 May 2020 08:10:23 +0200

r-cran-ggthemes (4.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 22:19:18 +0200

r-cran-ggthemes (4.1.1-1) unstable; urgency=medium

  * Initial release (closes: #928606)

 -- Andreas Tille <tille@debian.org>  Tue, 07 May 2019 15:23:36 +0200

=== debian/control ===
Source: r-cran-ggthemes
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 3.0.0),
               r-cran-purrr,
               r-cran-scales,
               r-cran-stringr,
               r-cran-tibble
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggthemes
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggthemes.git
Homepage: https://cran.r-project.org/package=ggthemes
Rules-Requires-Root: no

Package: r-cran-ggthemes
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: extra themes, scales and geoms for r-cran-ggplot2
 Some extra themes, geoms, and scales for 'ggplot2'.
 Provides 'ggplot2' themes and scales that replicate the look of plots
 by Edward Tufte, Stephen Few, 'Fivethirtyeight', 'The Economist', 'Stata',
 'Excel', and 'The Wall Street Journal', among others.
 Provides 'geoms' for Tufte's box plot and range frame.

## r-cran-ggthemes 4.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggthemes
-Version: 4.2.0
+Version: 4.2.4
 Title: Extra Themes, Scales and Geoms for 'ggplot2'
 Authors@R: c(person("Jeffrey B.", "Arnold", role = c("aut", "cre"),
     email = "jeffrey.arnold@gmail.com", 
@@ -27,14 +27,14 @@
     'Excel', and 'The Wall Street Journal', among others.
     Provides 'geoms' for Tufte's box plot and range frame.
 License: GPL-2
-URL: http://github.com/jrnold/ggthemes
-BugReports: http://github.com/jrnold/ggthemes
-RoxygenNote: 6.1.1
+URL: https://github.com/jrnold/ggthemes
+BugReports: https://github.com/jrnold/ggthemes
+RoxygenNote: 7.1.1
 LazyData: true
 Language: en-US
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-05-13 03:31:26 UTC; jrnold
+Packaged: 2021-01-20 02:04:38 UTC; jrnold
 Author: Jeffrey B. Arnold [aut, cre] (<https://orcid.org/0000-0001-9953-3904>),
   Gergely Daroczi [ctb],
   Bo Werth [ctb],
@@ -47,4 +47,4 @@
   Joshua London [ctb]
 Maintainer: Jeffrey B. Arnold <jeffrey.arnold@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-05-13 09:10:03 UTC
+Date/Publication: 2021-01-20 16:50:03 UTC

=== debian/changelog ===
r-cran-ggthemes (4.2.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2021 21:01:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ggplot2 (>= 3.0.0),
@@ -12,7 +12,7 @@
                r-cran-scales,
                r-cran-stringr,
                r-cran-tibble
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggthemes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggthemes.git
 Homepage: https://cran.r-project.org/package=ggthemes

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-dplyr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ggthemes_([-\d.]*)\.tar\.gz

## r-cran-ggthemes 5.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggthemes
-Version: 4.2.4
+Version: 5.1.0
 Title: Extra Themes, Scales and Geoms for 'ggplot2'
 Authors@R: c(person("Jeffrey B.", "Arnold", role = c("aut", "cre"),
     email = "jeffrey.arnold@gmail.com", 
@@ -16,25 +16,27 @@
     comment = "Code from the labeling package"),
     person("Joshua", "London", role = "ctb"))
 Depends: R (>= 3.3.0)
-Imports: ggplot2 (>= 3.0.0), graphics, grid, methods, purrr, scales,
-        stringr, tibble
+Imports: ggplot2 (>= 3.0.0), graphics, grid, lifecycle, methods, purrr,
+        scales, stringr, tibble
 Suggests: dplyr, covr, extrafont, glue, knitr, lattice, lintr, maps,
-        mapproj, pander, rlang, rmarkdown, spelling, testthat, tidyr,
-        vdiffr, withr
+        mapproj, pander, quantreg, rlang, rmarkdown, spelling, testthat
+        (>= 3.2.0), tidyr, vdiffr, withr
 Description: Some extra themes, geoms, and scales for 'ggplot2'.
     Provides 'ggplot2' themes and scales that replicate the look of plots
     by Edward Tufte, Stephen Few, 'Fivethirtyeight', 'The Economist', 'Stata',
     'Excel', and 'The Wall Street Journal', among others.
     Provides 'geoms' for Tufte's box plot and range frame.
 License: GPL-2
-URL: https://github.com/jrnold/ggthemes
-BugReports: https://github.com/jrnold/ggthemes
-RoxygenNote: 7.1.1
+URL: https://jrnold.github.io/ggthemes/,
+        https://github.com/jrnold/ggthemes
+BugReports: https://github.com/jrnold/ggthemes/issues
+RoxygenNote: 7.3.1
 LazyData: true
 Language: en-US
 Encoding: UTF-8
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2021-01-20 02:04:38 UTC; jrnold
+Packaged: 2024-02-09 17:47:25 UTC; jrnold
 Author: Jeffrey B. Arnold [aut, cre] (<https://orcid.org/0000-0001-9953-3904>),
   Gergely Daroczi [ctb],
   Bo Werth [ctb],
@@ -47,4 +49,4 @@
   Joshua London [ctb]
 Maintainer: Jeffrey B. Arnold <jeffrey.arnold@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-01-20 16:50:03 UTC
+Date/Publication: 2024-02-10 00:30:02 UTC

=== debian/changelog ===
r-cran-ggthemes (5.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 14:32:26 +0100

r-cran-ggthemes (5.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * r-cran-vdiffr is packaged now - do not edit tests any more

 -- Andreas Tille <tille@debian.org>  Thu, 23 Nov 2023 16:01:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.0.0),
+               r-cran-ggplot2,
+               r-cran-lifecycle,
                r-cran-purrr,
                r-cran-scales,
                r-cran-stringr,
                r-cran-tibble
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggthemes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggthemes.git
 Homepage: https://cran.r-project.org/package=ggthemes

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-dplyr,
        r-cran-covr,
        r-cran-glue,
        r-cran-knitr,
        r-cran-lattice,
        r-cran-lintr,
        r-cran-maps,
        r-cran-mapproj,
        r-cran-pander,
        r-cran-quantreg,
        r-cran-rlang,
        r-cran-rmarkdown,
        r-cran-spelling,
        r-cran-testthat (>= 3.2.0),
        r-cran-tidyr,
        r-cran-vdiffr,
        r-cran-withr
Restrictions: allow-stderr

## r-cran-ggthemes 5.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggthemes
-Version: 5.1.0
+Version: 5.2.0
 Title: Extra Themes, Scales and Geoms for 'ggplot2'
 Authors@R: c(person("Jeffrey B.", "Arnold", role = c("aut", "cre"),
     email = "jeffrey.arnold@gmail.com", 
@@ -28,15 +28,17 @@
     Provides 'geoms' for Tufte's box plot and range frame.
 License: GPL-2
 URL: https://jrnold.github.io/ggthemes/,
-        https://github.com/jrnold/ggthemes
+        https://github.com/jrnold/ggthemes,
+        http://jrnold.github.io/ggthemes/
 BugReports: https://github.com/jrnold/ggthemes/issues
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.3
 LazyData: true
 Language: en-US
 Encoding: UTF-8
 Config/testthat/edition: 3
+Config/Needs/website: pkgdown
 NeedsCompilation: no
-Packaged: 2024-02-09 17:47:25 UTC; jrnold
+Packaged: 2025-11-30 04:07:26 UTC; jrnold
 Author: Jeffrey B. Arnold [aut, cre] (<https://orcid.org/0000-0001-9953-3904>),
   Gergely Daroczi [ctb],
   Bo Werth [ctb],
@@ -49,4 +51,4 @@
   Joshua London [ctb]
 Maintainer: Jeffrey B. Arnold <jeffrey.arnold@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-02-10 00:30:02 UTC
+Date/Publication: 2025-11-30 17:00:12 UTC

=== debian/changelog ===
r-cran-ggthemes (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 11:08:43 +0900

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
                r-cran-purrr,
                r-cran-scales,
                r-cran-stringr,
-               r-cran-tibble
-Standards-Version: 4.6.2
+               r-cran-tibble,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggthemes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggthemes.git
 Homepage: https://cran.r-project.org/package=ggthemes
